QzJobDetail (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.QzJobDetail class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler
Class QzJobDetail

    java.lang.Object
      org.hyperic.hq.scheduler.QzJobDetail

All Implemented Interfaces:
  java.io.Serializable

    public class QzJobDetail

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`QzJobDetail()`

Method Summary
`java.lang.String` | `getDescription()`
`QzJobDetailId` | `getId()`
`java.lang.String` | `getJobClassName()`
`byte[]` | `getJobData()`
`java.util.Collection` | `getJobListeners()`
`java.util.Collection` | `getTriggers()`
`boolean` | `isIsDurable()`
`boolean` | `isIsStateful()`
`boolean` | `isIsVolatile()`
`boolean` | `isRequestsRecovery()`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(QzJobDetailId id)`
`void` | `setIsDurable(boolean isDurable)`
`void` | `setIsStateful(boolean isStateful)`
`void` | `setIsVolatile(boolean isVolatile)`
`void` | `setJobClassName(java.lang.String jobClassName)`
`void` | `setJobData(byte[] jobData)`
`void` | `setJobListeners(java.util.Collection jobListeners)`
`void` | `setRequestsRecovery(boolean requestsRecovery)`
`void` | `setTriggers(java.util.Collection triggers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QzJobDetail

    public QzJobDetail()

Method Detail

### getId

    public QzJobDetailId getId()

### setId

    public void setId(QzJobDetailId id)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getJobClassName

    public java.lang.String getJobClassName()

### setJobClassName

    public void setJobClassName(java.lang.String jobClassName)

### isIsDurable

    public boolean isIsDurable()

### setIsDurable

    public void setIsDurable(boolean isDurable)

### isIsVolatile

    public boolean isIsVolatile()

### setIsVolatile

    public void setIsVolatile(boolean isVolatile)

### isIsStateful

    public boolean isIsStateful()

### setIsStateful

    public void setIsStateful(boolean isStateful)

### isRequestsRecovery

    public boolean isRequestsRecovery()

### setRequestsRecovery

    public void setRequestsRecovery(boolean requestsRecovery)

### getJobData

    public byte[] getJobData()

### setJobData

    public void setJobData(byte[] jobData)

### getJobListeners

    public java.util.Collection getJobListeners()

### setJobListeners

    public void setJobListeners(java.util.Collection jobListeners)

### getTriggers

    public java.util.Collection getTriggers()

### setTriggers

    public void setTriggers(java.util.Collection triggers)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.